acpid (1:2.0.26-1) unstable; urgency=medium

  * Imported Upstream version 2.0.26 (Closes: #808015)
  * Updated watch file
  * Fixwed typo in powerbtn.sh (Closes: #805865)

 -- Michael Meskes <meskes@debian.org>  Tue, 09 Feb 2016 17:34:08 +0100

acpid (1:2.0.25-1) unstable; urgency=medium

  * Imported Upstream version 2.0.25

 -- Michael Meskes <meskes@debian.org>  Tue, 01 Sep 2015 13:47:25 +0200

acpid (1:2.0.23-2) unstable; urgency=medium

  * Corrected homepage URL (Closes: #767816)
  * Added path based activation so acpid gets started if events are to be
    processed. (Closes: #766991)
  * Bumped Standards-Version to 3.9.6, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Sat, 08 Nov 2014 17:36:34 +0100

acpid (1:2.0.23-1) unstable; urgency=medium

  * Adapted build system to use dh_systems_* helpers.
    Thanks to Laurent Bigonville <bigon@debian.org> (Closes: #759541)
  * Imported Upstream version 2.0.23

 -- Michael Meskes <meskes@debian.org>  Thu, 28 Aug 2014 18:53:50 +0200

acpid (1:2.0.22-3) unstable; urgency=medium

  * Stop socket before upgrade or removal to make sure acpid isn't activated again.

 -- Michael Meskes <meskes@debian.org>  Fri, 11 Jul 2014 11:05:53 +0200

acpid (1:2.0.22-2) unstable; urgency=medium

  * Made service file honor options from /etc/default/acpid.
    (Closes: #743611, #745589)

 -- Michael Meskes <meskes@debian.org>  Tue, 17 Jun 2014 13:28:24 +0200

acpid (1:2.0.22-1) unstable; urgency=medium

  * Imported Upstream version 2.0.22 (closes: #738611)

 -- Michael Meskes <meskes@debian.org>  Thu, 03 Apr 2014 10:48:59 +0200

acpid (1:2.0.21-1) unstable; urgency=medium

  * Imported Upstream version 2.0.21 (closes: #732277)
  * Specify in acpid.init to start before lightdm and stop after lightdm.
    Thanks to Dmitrijs Ledkovs <xnox@debian.org> (Closes: #731543)
  * Fixed typo in default file. (Closes: #734420)
  * Stop passing start option to dh_installinit. (Closes: #723623)
  * Canonicalize VCS information.
  * Bumped Standards-Version to 3.9.5, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Fri, 17 Jan 2014 09:03:19 +0100

acpid (1:2.0.20-1) unstable; urgency=low

  * Imported Upstream version 2.0.20 (Closes: #719659)

 -- Michael Meskes <meskes@debian.org>  Tue, 17 Sep 2013 10:26:14 +0200

acpid (1:2.0.19-1) unstable; urgency=low

  * Imported Upstream version 2.0.19 (Closes: #701234)

 -- Michael Meskes <meskes@debian.org>  Tue, 28 May 2013 16:52:28 +0200

acpid (1:2.0.18-1) unstable; urgency=low

  * Bumped Standards-Version to 3.9.4, no changes needed.
  * Make systemd able to start acpid via multi-user.target.
    Thanks to Michael Biebl <biebl@debian.org> (Closes: #699810)
  * Imported Upstream version 2.0.18
  * Updated watch file to new location.

 -- Michael Meskes <meskes@debian.org>  Sun, 17 Feb 2013 08:55:50 +0100

acpid (1:2.0.17-2) unstable; urgency=low

  * Bump to debhelper compat level 9 and use the
    DEB_CFLAGS_MAINT_{APPEND_PREPEND} options to change flags, trusting
    dh_auto_configure to do the right thing, so that we get support for
    cross-compilation and other niceties.
    Thanks to Steve Langasek <steve.langasek@canonical.com> (Closes: #696213)

 -- Michael Meskes <meskes@debian.org>  Fri, 21 Dec 2012 13:29:25 +0100

acpid (1:2.0.17-1) unstable; urgency=low

  * Imported Upstream version 2.0.17

 -- Michael Meskes <meskes@debian.org>  Mon, 17 Sep 2012 14:20:55 +0200

acpid (1:2.0.16-2) unstable; urgency=low

  * Depend on kmod instead of the transitional package module-init-tools.
    (Closes: #683987)

 -- Michael Meskes <meskes@debian.org>  Wed, 08 Aug 2012 11:55:33 +0200

acpid (1:2.0.16-1) unstable; urgency=low

  * Imported Upstream version 2.0.16

 -- Michael Meskes <meskes@debian.org>  Sun, 01 Apr 2012 12:38:32 +0200

acpid (1:2.0.15-2) unstable; urgency=low

  * Applied upstream's patch to fix socket permissions. (Closes: #664705)

 -- Michael Meskes <meskes@debian.org>  Wed, 21 Mar 2012 09:37:16 +0100

acpid (1:2.0.15-1) unstable; urgency=low

  * Imported Upstream version 2.0.15
  * Migrated to debhleper 7.

 -- Michael Meskes <meskes@debian.org>  Sun, 18 Mar 2012 14:44:34 +0100

acpid (1:2.0.14-3) unstable; urgency=low

  * Added upstream patch to remove pointless "See Also" section from manpage.
    (Closes: #656676)
  * Bumped Standards-Version to 3.9.3, no changes needed.
  * Enable socket for systemd. (Closes: #661344)

 -- Michael Meskes <meskes@debian.org>  Wed, 29 Feb 2012 13:24:37 +0100

acpid (1:2.0.14-2) unstable; urgency=low

  * Made init script start before/stop after gdm3 instead of gdm which does not
    exist anymore. (Closes: #655075)
  * Enable hardened build flags.
    Thanks to Moritz Muehlenhoff <jmm@debian.org> (Closes: #653502)

 -- Michael Meskes <meskes@debian.org>  Tue, 10 Jan 2012 17:27:11 +0100

acpid (1:2.0.14-1) unstable; urgency=low

  * Fix shell command injection in powerbtn.sh
  * Imported Upstream version 2.0.14

 -- Michael Meskes <meskes@debian.org>  Sun, 18 Dec 2011 14:41:11 +0100

acpid (1:2.0.13-1) unstable; urgency=low

  * Imported Upstream version 2.0.13
  * Added systemd .service and .socket files.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #647556)

 -- Michael Meskes <meskes@debian.org>  Thu, 17 Nov 2011 11:54:46 +0100

acpid (1:2.0.12-1) unstable; urgency=low

  * Imported Upstream version 2.0.12

 -- Michael Meskes <meskes@debian.org>  Tue, 23 Aug 2011 12:57:56 +0200

acpid (1:2.0.11-1) unstable; urgency=high

  * Imported Upstream version 2.0.11 which sets umask to 0077 for scripts run
    by acpid.
  * Added build-arch and build-indep targets to rules file.

 -- Michael Meskes <meskes@debian.org>  Mon, 01 Aug 2011 20:37:55 +0200

acpid (1:2.0.10-1) unstable; urgency=low

  * Imported Upstream version 2.0.10
  * Bumped Standards-Version to 3.9.2, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Thu, 19 May 2011 15:51:12 +0200

acpid (1:2.0.9-1) unstable; urgency=low

  * Imported Upstream version 2.0.9

 -- Michael Meskes <meskes@debian.org>  Sun, 17 Apr 2011 16:33:17 +0200

acpid (1:2.0.8-4) unstable; urgency=low

  * Updated homepage filed to point to new URL. (Closes: #618537)
  * Removed all code handling /etc/init.d/hal which does not exist anymore in
    newer versions. (Closes: #618905)

 -- Michael Meskes <meskes@debian.org>  Fri, 25 Mar 2011 15:28:00 +0100

acpid (1:2.0.8-3) unstable; urgency=low

  * Allow build flags to be customized by setting DEB_BUILD_OPTIONS in the
    build-time environment. Thanks to Jonathan Nieder <jrnieder@gmail.com>
  * Remove variable that is not used in kacpimon.
    Thanks to Jonathan Nieder <jrnieder@gmail.com> (Closes: #616306)

 -- Michael Meskes <meskes@debian.org>  Fri, 11 Mar 2011 12:16:31 +0100

acpid (1:2.0.8-2) unstable; urgency=low

  * Make both sides of the comparison signed so the package builds again.
    (Closes: #616194)

 -- Michael Meskes <meskes@debian.org>  Thu, 03 Mar 2011 12:14:12 +0100

acpid (1:2.0.8-1) unstable; urgency=low

  * Imported Upstream version 2.0.8

 -- Michael Meskes <meskes@debian.org>  Wed, 16 Feb 2011 09:25:51 +0100

acpid (1:2.0.7-1) unstable; urgency=low

  * Imported Upstream version 2.0.7

 -- Michael Meskes <meskes@debian.org>  Tue, 16 Nov 2010 08:47:57 +0100

acpid (1:2.0.6-2) unstable; urgency=low

  * Added prepatch from 2.0.7 to remove superfluous logging. (Closes:
    #598198)
  * Added prepatch from 2.0.7 to add support for more buttons. (Closes:
    #600564) - thanks to Stanislav Maslovski
    <stanislav.maslovski@gmail.com>
  * Bumped Standards-Version to 3.9.1, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Sun, 14 Nov 2010 15:14:38 +0100

acpid (1:2.0.6-1) unstable; urgency=low

  * Imported Upstream version 2.0.6

 -- Michael Meskes <meskes@debian.org>  Fri, 18 Jun 2010 11:07:01 +0200

acpid (1:2.0.5-1) unstable; urgency=low

  * Imported Upstream version 2.0.5

 -- Michael Meskes <meskes@debian.org>  Sun, 16 May 2010 11:24:54 +0200

acpid (1:2.0.4-1) unstable; urgency=low

  * New Upstream version 2.0.4
  * Added source format file.

 -- Michael Meskes <meskes@debian.org>  Thu, 22 Apr 2010 09:44:05 +0200

acpid (1:2.0.3-1) unstable; urgency=low

  * New Upstream version 2.0.3

 -- Michael Meskes <meskes@debian.org>  Wed, 17 Mar 2010 10:05:04 +0100

acpid (1:2.0.2-1) unstable; urgency=low

  * New upstream version.
  * Bumped Standards-Version to 3.8.4, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Mon, 15 Feb 2010 16:25:13 +0100

acpid (1:2.0.1-2) unstable; urgency=low

  * Acpid does work on non-i386/amd64 archs but not on non-linux
    systems.
  * Prevent breakage of Xserver resulting from a may connection number
    that was set too low. (Closes: #565908) - thanks to Willi Mann
    <willi@wm1.at>
  * Extended kacpimon description to explain the package a little bit
    better.
  * Escape unescaped dashes in manpage.

 -- Michael Meskes <meskes@debian.org>  Sun, 24 Jan 2010 14:30:56 +0100

acpid (1:2.0.1-1) unstable; urgency=low

  * Imported Upstream version 2.0.1
  * Removed patch system which is no longer needed because upstream included
    all our patches.
  * Install kacpimon manpage.

 -- Michael Meskes <meskes@debian.org>  Sat, 16 Jan 2010 11:35:14 +0100

acpid (1:2.0.0-2) unstable; urgency=low

  * Put kacpimon back into the right section and priority.
  * Make loading of all modules work with modules.dep files with
    relative paths. (Closes: #563915)
  * Do not include /etc/default/rcS in init script because it is not needed.

 -- Michael Meskes <meskes@debian.org>  Fri, 08 Jan 2010 09:16:54 +0100

acpid (1:2.0.0-1) unstable; urgency=low

  * New Upstream version from new source tree that already incorporates the
    netlink patch..
  * Build kacpimon from the new source tree too.

 -- Michael Meskes <meskes@debian.org>  Mon, 21 Dec 2009 13:03:48 +0100

acpid (1.0.10-5) unstable; urgency=high

  * Correct permissions that were incorrectly set by very old acpid versions.
    This fixes CVE-2009-4235. (Closes: #560771)

 -- Michael Meskes <meskes@debian.org>  Tue, 15 Dec 2009 13:11:29 +0100

acpid (1.0.10-4) unstable; urgency=low

  * Updated netlink patch to version 6.

 -- Michael Meskes <meskes@debian.org>  Tue, 17 Nov 2009 14:50:01 +0100

acpid (1.0.10-3) unstable; urgency=low

  * Made acpid recommend correct version of acpi-support-base.
  * Added missing input defines for Thinkpads. (Closes: #521280) -
    thanks to Harald Braumann <harry@unheit.net>
  * Fixed package description. (Closes: #549948) - thanks to Justin B
    Rye <jbr@edlug.org.uk>
  * Clarify some wording. - thanks to Thiemo Nagel
    <thiemo.nagel@ph.tum.de>
  * Bumped Standards-Version to 3.8.3, no changes needed.
  * Fix some lintian warnings.
  * Updated list of power managers. (Closes: #547326)
  * Stopping for single user mode could be done by sendsigs as well.
  * Updated to netlink patch to version 1.0.10-netlink5. (Closes:
    #522756)

 -- Michael Meskes <meskes@debian.org>  Mon, 09 Nov 2009 14:46:15 +0100

acpid (1.0.10-2) unstable; urgency=low

  * Updated netlink patch to version 1.0.10-netlink2.
  * Added patch to make acpid compile with gcc 4.4, closes: #526665

 -- Michael Meskes <meskes@debian.org>  Mon, 04 May 2009 14:41:24 +0200

acpid (1.0.10-1) unstable; urgency=high

  * New upstream version fixing CVE-2009-0798.
  * Removed fixfd patch which was applied upstream.
  * Made example powerbtn.sh script work with kde4, closes: #526000

 -- Michael Meskes <meskes@debian.org>  Tue, 28 Apr 2009 09:24:25 +0200

acpid (1.0.8-8) unstable; urgency=low

  * Fixed netlink patch to not expect long option --netlink to carry an
    argument, closes: #524223
  * Do not remove /etc/acpi/ config at each upgrade, closes: #524528

 -- Michael Meskes <meskes@debian.org>  Mon, 20 Apr 2009 14:04:32 +0200

acpid (1.0.8-7) unstable; urgency=low

  * Fixed ioctl call to use correct buffer size, closes: #521512
  * Do not print error message for missing event file unless we are in debug
    mode, closes: #521666
  * Bumped Standards-Version to 3.8.1, no changes needed.

 -- Michael Meskes <meskes@debian.org>  Sun, 29 Mar 2009 17:13:02 +0200

acpid (1.0.8-6) unstable; urgency=low

  * Start acpid even if /proc/acpi/event doesn't exist, closes: #516079
  * Recommend acpi-support-base so a script handling power button pressing is
    installed.
  * If the power button script had been changed, not only rename it but also
    keep a changed events file to not lose functionality, closes: #516083

 -- Michael Meskes <meskes@debian.org>  Thu, 19 Feb 2009 10:03:40 +0100

acpid (1.0.8-5) unstable; urgency=low

  * Reverted redirection patch, it broke debug mode.

 -- Michael Meskes <meskes@debian.org>  Thu, 19 Feb 2009 09:44:59 +0100

acpid (1.0.8-4) unstable; urgency=low

  * Added patch to correctly redirect stdin/stdout/stderr to /dev/null.
  * Added patch by Ted Felix <ted@tedfelix.com> adding netlink support to
    acpid, closes: #462467, #515773

 -- Michael Meskes <meskes@debian.org>  Wed, 18 Feb 2009 12:05:51 +0100

acpid (1.0.8-3) unstable; urgency=low

  * Only conditionally restart hal on purge, closes: #515650
  * Remove the remaining scriptlets in /etc/acpi. All files are still available
    and installed as examples under /usr/share/doc/acpid/examples but not under
    /etc/acpi anymore.
  * Fixed GPL version information in copyright file.

 -- Michael Meskes <meskes@debian.org>  Tue, 17 Feb 2009 11:10:42 +0100

acpid (1.0.8-2) unstable; urgency=low

  [ Loic Minier ]
  * Add git-buildpackage config debian/gbp.conf.

  [ Michael Meskes ]
  * Added patch by Harald Braumann <harry@unheit.net> to correctly open
    /dev/null, closes: #483805
  * Removed old syslog patch as upstream has the same/similar functionality
    nowadays, closes: #496574
  * Made powerbtn.sh script fall back to shutdown if dbus fails, closes: #492756
  * Restart hal in case of acpid removal, closes: #505663

 -- Michael Meskes <meskes@debian.org>  Wed, 11 Feb 2009 16:53:06 +0100

acpid (1.0.8-1) unstable; urgency=low

  [ Loic Minier ]
  * Comment out OPTIONS in the acpid defaults file as -c /etc/acpi/events is
    the default anyway; this paves the way to a future removal of this file.
  * Test for /proc/acpi/event instead of /proc/acpi in init script;
    see Debian #440870.
  * Document rationale for hal restart in postinst.

  [ Michael Meskes ]
  * New upstream version.
  * Moved our patches to debian/patches and added support for quilt.

 -- Michael Meskes <meskes@debian.org>  Wed, 12 Nov 2008 14:29:15 +0100

acpid (1.0.6-16) unstable; urgency=low

  [ Loic Minier ]
  * Reword hints in /etc/default/acpid; suggested by Julien Blache.
  * Drop bogus space in modules.dep causing modules without dependencies to
    not be loaded for MODULES="all".
  * Check for read permissions on the defaults file before attempting to
    source it.
  * Don't load any module (MODULES default to empty string) when the default
    file doesn't exist or doesn't specify MODULES.
  * Ignore the result of load_modules.
  * Unset MODPROBE_OPTIONS to work around a bug in initramfs which leaks this
    env var Launchpad #291619 and a bug in modprobe --all --quiet which
    doesn't load all modules and exits with non-zero exit status
    Debian.org #504088; thanks Derrick Karpo and Julien Blache;
    closes: #502704.

  [ Michael Meskes ]
  * Make sure there is no link created in runlevel 0 and 6 to stop acpid.
  * Remove old links in runlevel 0 and 6, closes: #502613.
  * Comment out MODULES setting in default file, so no module is loaded per
    default.

 -- Loic Minier <lool@dooz.org>  Sun, 02 Nov 2008 10:28:14 +0100

acpid (1.0.6-15) unstable; urgency=low

  [ Michael Meskes ]
  * Fixed check for /proc/modules to not throw an error
    closes: #502881, #502704

  [ Loic Minier ]
  * Fix above fix.  :-P

 -- Michael Meskes <meskes@debian.org>  Tue, 21 Oct 2008 12:55:00 +0200

acpid (1.0.6-14) unstable; urgency=low

  [ Loic Minier ]
  * Merge support for the "status" action in the acpid init script from the
    Ubuntu package; depend on lsb-base >= 3.2-14.
  * Don't stop acpid in runlevels 0 and 6; from Ubuntu, closes:#495544 
  * Fix support for Ubuntu kernels, stop guessing distro but always try to use
    the ubuntu/acpi module dir if present; this allows using Ubuntu kernels on
    Ubuntu, removes references to Ubuntu from a number of places, and makes
    the script simpler to maintain and more efficient; also matches the
    current Ubuntu script.
  * Cleanup rules; drop DH_VERBOSE.
  * Wrap build-deps and deps in control to get cleaner diffs.
  * Add myself to uploaders.
  * Drop obsolete information from README.Debian.
  * Cleanup the awful init script.
    - Drop support for *.o kernel module files; .ko is used since 2.5 kernels.
    - Greatly simplify computing the list of available acpi modules by parsing
      modules.dep(5) instead of running find and sh multiple times.
    - Rename debian/acpid.init.d to debian/acpid.init to match debhelper's
      documented name (debhelper does pick up .init.d as well, but this is
      undocumented); this also avoid confusing vim which believe it's a D
      file.
    - Don't disable printk when loading ACPI modules; this is not only
      fragile, broken, and intrusive, it's also out of the realm of acpid to
      do.  This snippet:
          [ "$VERBOSE" = "no" ] && echo "0 0 0 0" > /proc/sys/kernel/printk
      can be moved to a more sensible place if it makes sense during boot, but
      I doubt anybody wants that.
    - Fix support for kernels without dynamic module loading; closes: #500659.
  * Use Vcs-* instead of XS-Vcs-* and fix URLs to point at the new git repos;
    closes: #501305.
  * Remove obsolete conffile /etc/logrotate.d/acpid in preinst; thanks to
    James Westby and Ubuntu; LP: #263888. It's interesting to note that this
    caused the new acpid to die once per week when logrotation kicked in.
    Closes: #487815, #491058, #495686
  * Pass -s to dh_* commands in binary-arch.
  * Resume shipping /etc/acpi/powerbtn.sh and /etc/acpi/events/powerbtn in
    acpid.  They are also installed in the examples for people who symlink to
    the examples.  Please note that powerbtn.sh disables itself when it
    detects a running power management daemon such as gnome-power-manager or
    kpowersave.
  * Add -D_GNU_SOURCE in Makefile's CFLAGS to fix build with newer libc6 (such
    as 2.8+20080809-1 in experimental or 2.8~20080505-0ubuntu7in Ubuntu
    intrepid) in making "struct ucred" available; see
    http://sourceware.org/bugzilla/show_bug.cgi?id=6545.

  [ Michael Meskes ]
  * Fixed path to hal pidfile, closes: #440870

 -- Loic Minier <lool@dooz.org>  Mon, 13 Oct 2008 19:12:28 +0200

acpid (1.0.6-13) unstable; urgency=low

  * Check for distribution during build time, closes: #499825, #500003

 -- Michael Meskes <meskes@debian.org>  Wed, 24 Sep 2008 12:26:45 +0200

acpid (1.0.6-12) unstable; urgency=low

  * Check for Ubuntu/Debian in apt sources list instead of /etc/issue,
    closes: #499825, #499854

 -- Michael Meskes <meskes@debian.org>  Tue, 23 Sep 2008 10:38:38 +0200

acpid (1.0.6-11) unstable; urgency=low

  * Changed maintainer to Debian Acpi Team.
  * Do not call lsb-release on startup, closes: #491388

 -- Michael Meskes <meskes@debian.org>  Wed, 27 Aug 2008 13:49:56 +0200

acpid (1.0.6-10) unstable; urgency=low

  * Removed Ubuntu version information.
  * Back to only including some modules on default. Using all modules creates
    strange error messages and even backtraces on some machines. ALL option
    remains listed but commented out, closes: #484354
  * Add video to list of modules, closes: #459237
  * Made package lintian clean.
  * In Debian do not load Ubuntu modules from Ubuntu directory. I do not see
    any package providing this directory.
  * Do only install powerbutton scripts as example,
    closes: #481903, #484306, #253423
  * Fixed watch file. 
  * Clarified specification of acpid options, closes: #486788
  * Bumped Standards-Version to 3.8.0

 -- Michael Meskes <meskes@debian.org>  Fri, 20 Jun 2008 14:21:14 +0200

acpid (1.0.6-9) unstable; urgency=low

  * Don't depend on sysv-rc; closes: #481912

 -- Anibal Monsalve Salazar <anibal@debian.org>  Fri, 23 May 2008 13:50:49 +1000

acpid (1.0.6-8) unstable; urgency=low

  * Update watch file 

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 19 May 2008 19:31:31 +1000

acpid (1.0.6-7) unstable; urgency=low

  * Fix dash syntax error in acpid.init.d; closes: #481824

 -- Anibal Monsalve Salazar <anibal@debian.org>  Mon, 19 May 2008 11:54:32 +1000

acpid (1.0.6-6) unstable; urgency=low

  * New maintainer; closes: #481580
  * Merge Ubuntu changes
    - Use MODULES="all"; closes: #449076
    - Disable printk; closes: #449078
    - Loading modules from the ubuntu directory; closes: #449080
  * Limit syslog messages to >= NOTICE to avoid spamming unless in debug mode;
    patch by Loic Minier; closes: #447200
  * Include "--oknodo" in init script start action;
    patch by Daniel Hahler; closes: #475785
  * Don't fail during installation; closes: #447339
  * Don't delete conffiles in /etc; closes: #444666
  * Provide power button support; closes: #444676
  * Fix typo in acpid.8; closes: #444065
  * Fix "restart/start fails"; closes: #481327, #479517
  * Fix "tar error messages on upgrade"; closes: #447099, #451220
  * Fix "init script start/stop priorities not updated on upgrades";
    closes: #462185
  * Fix the following lintian issues:
    W: acpid source: debian-rules-ignores-make-clean-error line 18

 -- Anibal Monsalve Salazar <anibal@debian.org>  Sat, 17 May 2008 09:54:17 +1000

acpid (1.0.6-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Correct dependency information provided in init.d script (Closes: #459493).

 -- Petter Reinholdtsen <pere@debian.org>  Tue,  4 Mar 2008 13:53:46 +0100

acpid (1.0.6-5) unstable; urgency=low

  * New mantainer. (Closes: #455197)
  * debian/control:
    - Bump Standards-Version: 3.7.3.
    - Build-depends debhelper >=5.
    - Added Homepage header.
  * debian/watch, added.

 -- Jose Carlos Medeiros <debian@psabs.com.br>  Tue, 15 Jan 2008 18:02:33 -0200

acpid (1.0.6-4) unstable; urgency=medium

  * Add lost directory /etc/acpi/events to package again. (Closes: #444667)
  * Improve the last NEWS.Debian entry to be more explicit.

 -- Torsten Werner <twerner@debian.org>  Tue, 09 Oct 2007 07:44:46 +0200

acpid (1.0.6-3) unstable; urgency=low

  * Stop and start hal in postinst. (Closes: #352512, #380520, #440870)
  * Start acpid earlier when booting. (Closes: #320094)
  * Fix call to 'dpkg --compare-versions' in postinst.

 -- Torsten Werner <twerner@debian.org>  Mon, 24 Sep 2007 07:41:16 +0200

acpid (1.0.6-2) unstable; urgency=low

  * Remove old logs and logrotate conffile.
    (Closes: #178894, #360170, #443385)
  * Add debian/NEWS with an explanation of the change.
  * Revert any changes to acpid.c corresponding to the old log mechanism.
    (Closes: #388048)
  * Remove the old powerbtn scripts and provide them as examples.
    (Closes: #285779, #354445, #386026, #400409, #401414, #417306, #422463, #425291, #427938)
  * Add option -P to shutdown in powerbtn.sh. (Closes: #365972)

 -- Torsten Werner <twerner@debian.org>  Sun, 23 Sep 2007 16:15:42 +0200

acpid (1.0.6-1) unstable; urgency=low

  * New upstream release (Closes: #442383)
  * Change Maintainer field to myself as requested by the former maintainer.
  * Add XS-Vcs-* headers.
  * Install upstream's Changelog file.

 -- Torsten Werner <twerner@debian.org>  Tue, 18 Sep 2007 16:48:54 +0200

acpid (1.0.4-7.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fixed typo in init script (Closes: #413729).

 -- Nico Golde <nion@debian.org>  Thu, 29 Mar 2007 23:22:37 +0200

acpid (1.0.4-7) unstable; urgency=low

  * Fixed typo in manual page (Closes: #404680)
  * Updated README (Closes: #360167)
  * Include lsb compliant logging (Closes: #384687)
  * Fixed logrotate/cron error if acpid is not running (Closes: #388038)
  * Removed powerbutton scripts - these are contained in other packages
    (Closes: #354445, #285779)
  * Added lsb compliant init script styles (Closes: #383591)

 -- Cajus Pollmeier <cajus@debian.org>  Mon,  5 Mar 2007 09:33:07 +0100

acpid (1.0.4-6) unstable; urgency=low

  * Fixed powerptn.sh to respect shutdown changes (Closes: #365972)

 -- Cajus Pollmeier <cajus@debian.org>  Thu,  4 May 2006 08:47:06 +0200

acpid (1.0.4-5ubuntu9) hardy; urgency=low

  [ Daniel Hahler ]
  * debian/acpid.postinst: Stop and start hal, if present.
    This allows acpid to take /proc/acpi/event and hal will ignore this kernel
    interface, when acpid is installed. (LP: #63450)
  * debian/acpid.init.d: Add "--oknodo" to the start-stop-daemon call in
    "start". The action must not fail, if acpid is already running.
  
  [ Michael Vogt ]
  * debian/acpid.postinst: do not restart hal on dapper upgrades
    (hal may hang forever because of a incompatible dbus)
  * only restart if hal is actually running

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 16 Apr 2008 16:12:12 +0200

acpid (1.0.4-5ubuntu8) gutsy; urgency=low

  * Fix the broken Maintainer lines in debian/control.

 -- Adam Conrad <adconrad@ubuntu.com>  Wed, 15 Aug 2007 23:47:42 +1000

acpid (1.0.4-5ubuntu7) gutsy; urgency=low

  * Build package for lpia.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 10 Aug 2007 21:43:04 +0000

acpid (1.0.4-5ubuntu6) feisty; urgency=low

  * Load drivers from ubuntu directory as well as kernel acpi directory

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Sat, 10 Mar 2007 15:04:34 +0000

acpid (1.0.4-5ubuntu5) feisty; urgency=low

  * KubuntuFeistyLaptop spec: change debian/powerbtn.sh for KDE sessions:
    * single KDE session: issue KDE logout dialog for user to decide
    * multiple KDE sessions: send shutdown request to all KDE sessions
      (this is the same behaviour as before)

 -- Luka Renko <lure@ubuntu.com>  Thu,  8 Feb 2007 10:28:09 +0100

acpid (1.0.4-5ubuntu4) edgy; urgency=low

  * Call modprobe with -b to allow user blacklisting.  Ubuntu: #49017

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 14 Sep 2006 15:13:52 +0100

acpid (1.0.4-5ubuntu3) edgy; urgency=low

  * Add forgotten versioned-dependency on sysv-rc to get new update-rc.d
    behaviour.  Go me.

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 21 Jul 2006 01:22:57 +0100

acpid (1.0.4-5ubuntu2) edgy; urgency=low

  * Remove stop links from rc0 and rc6

 -- Scott James Remnant <scott@ubuntu.com>  Thu, 20 Jul 2006 23:14:18 +0100

acpid (1.0.4-5ubuntu1) edgy; urgency=low

  * Merge from debian unstable, remaining changes:
    - Lock file and groups,
    - LSB init script,
    - init script level change,
    - load all modules by default,
    - Power button handling changes.

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 11 Jul 2006 17:50:13 +0100

acpid (1.0.4-5) unstable; urgency=low

  * Fixed problem with logrotate and Xorg where the /proc/acpi/events gets
    locked by Xorg.

 -- Cajus Pollmeier <cajus@debian.org>  Sun, 15 Jan 2006 22:23:05 +0100

acpid (1.0.4-4) unstable; urgency=low

  Changes by Michael Biebl:
  * Adapted scripts in /etc/acpi/ to let powersaved process the acpi event if
    it is running.
  * Updated standards version to 3.6.2. 
  * Cleaned up debian/rules, make use of dh_* tools. Created the necessary
    acpid.* files.
  * Cleaned up debian/*, removed unused and unnecessary files.
  * Fixed package to make lintian/linda happy.

  Changes by Cajus Pollmeier:
  * Removed debconf integration (Closes: #336725, #336726, #333759, #331512)
  * Fixed typo in acpi_listen manpage (Closes: #342743)

 -- Cajus Pollmeier <cajus@debian.org>  Sat, 14 Jan 2006 11:52:33 +0100

acpid (1.0.4-3) unstable; urgency=low

  * Added russian debconf translations (Closes: #324084)
  * Added portuguese debconf translations (Closes: #329872)
  * Included alternative dependency to debconf-2.0

 -- Cajus Pollmeier <cajus@debian.org>  Thu, 29 Sep 2005 11:08:25 +0200

acpid (1.0.4-2) unstable; urgency=low

  * Added logrotate control file (Closes: #306235)
  * Added vietnamese debconf translations (Closes: #307598)
  * Added basque debconf translations (Closes: #296865)
  * Added italian debconf translations (Closes: #288224)
  * Fixed amd64 specific type problem (Closes: #315070)
  * Re-fixed amd64 specific type problem (Closes: #285063)
  * Fixed copyright file by adding one missing original
    author (Closes: #290053)

 -- Cajus Pollmeier <cajus@debian.org>  Sat,  9 Jul 2005 12:39:49 +0200

acpid (1.0.4-1ubuntu11) dapper; urgency=low

  * Fix /etc/acpi/powerbtn.sh so that it doesn't bork if 'pidof' returns
    multiple results.  This stops the machine displaying the logout
    dialogue and then immediately shutting down anyway. 
    (Closes: Ubuntu #46319)

 -- Paul Sladen <ubuntu@paul.sladen.org>  Sat, 27 May 2006 15:54:53 +0100

acpid (1.0.4-1ubuntu10) dapper; urgency=low

  * Add support to set the group of the log file when acpid starts.
    By default this will set it to the adm group.

 -- Daniel Silverstone <daniel.silverstone@ubuntu.com>  Wed, 15 Feb 2006 14:04:49 +0000

acpid (1.0.4-1ubuntu9) dapper; urgency=low

  * Check for gnome-power-manager rather than PowerManager. The name changed
    between dapper and breezy and without this, we would unconditionally shut
    the system down on a powerbutton event.
  * Also check for kded/klaptopdaemon and kpowersave for KDE options on the
    same policy management.
  * Closes: malone #31407

 -- Daniel Silverstone <daniel.silverstone@ubuntu.com>  Wed, 15 Feb 2006 11:41:20 +0000

acpid (1.0.4-1ubuntu8) breezy; urgency=low

  * Shorten and simplify init script messages

 -- Matt Zimmerman <mdz@ubuntu.com>  Thu, 15 Sep 2005 11:30:54 -0700

acpid (1.0.4-1ubuntu7) breezy; urgency=low

  * If power-manager is running, don't trigger the power button event
    ourselves

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Tue, 30 Aug 2005 18:33:22 +0100

acpid (1.0.4-1ubuntu6) breezy; urgency=low

  * Start acpid before dbus is started - hal needs acpid to be running
    already

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Tue, 30 Aug 2005 17:10:48 +0100

acpid (1.0.4-1ubuntu5) breezy; urgency=low

  * Interact with the new locking model in acpi-support
  * Fix gcc-4.0 compile error

 -- Matthew Garrett <mjg59@srcf.ucam.org>  Mon, 22 Aug 2005 22:12:52 +0100

acpid (1.0.4-1ubuntu4) hoary; urgency=low

  * Turn off kernel printks if we're not verbose during module loading 

 -- Thom May <thom@ubuntu.com>  Wed,  2 Mar 2005 17:45:36 +0000

acpid (1.0.4-1ubuntu3) hoary; urgency=low

  * Check for the presence of a lockfile, and don't process events if it's
    there (Ubuntu: #6026)

 -- Thom May <thom@ubuntu.com>  Tue,  1 Feb 2005 12:27:44 +0000

acpid (1.0.4-1ubuntu2) hoary; urgency=low

  * Use the new -Q argument to modprobe, add depend on the correct
    module-init-tools
  * Default back to trying to autoload everything (Ubuntu #4077)

 -- Thom May <thom@planetarytramp.net>  Fri, 14 Jan 2005 13:48:24 +0000

acpid (1.0.4-1ubuntu1) hoary; urgency=low

  * Resynchronise with Debian, resolved minor merging conflict.

 -- Martin Pitt <martin.pitt@canonical.com>  Thu, 11 Nov 2004 10:38:26 +0100

acpid (1.0.4-1) unstable; urgency=low

  * New upstream release
  * I'm dropping support for older, acpi broken kernels now. Time to
    clean up.

 -- Cajus Pollmeier <cajus@debian.org>  Mon,  1 Nov 2004 11:49:33 +0100

acpid (1.0.3-21ubuntu1) hoary; urgency=low

  * Resynchronise with Debian.

 -- Scott James Remnant <scott@canonical.com>  Wed, 27 Oct 2004 12:05:00 +0100

acpid (1.0.3-21) unstable; urgency=low

  *  Fixed dcop problem for shutdown (Closes:#274339)

 -- Cajus Pollmeier <cajus@debian.org>  Fri,  1 Oct 2004 11:10:24 +0200

acpid (1.0.3-20) unstable; urgency=high

  * Added detection for non files in run-parts code (Closes:#268203)

 -- Cajus Pollmeier <cajus@debian.org>  Mon, 30 Aug 2004 19:51:41 +0200

acpid (1.0.3-19ubuntu12) warty; urgency=low

  * Disable loading the platform specific acpi modules. (Warty #1451)

 -- Thom May <thom@canonical.com>  Wed,  6 Oct 2004 14:18:58 +0100

acpid (1.0.3-19ubuntu11) warty; urgency=low

  * use xargs -r so we don't fail in the case of no acpi modules (Warty #1466)

 -- Thom May <thom@planetarytramp.net>  Mon, 20 Sep 2004 12:36:52 +0100

acpid (1.0.3-19ubuntu10) warty; urgency=low

  * Added versioned depend on lsb-base

 -- Nathaniel McCallum <npmccallum@canonical.com>  Fri,  3 Sep 2004 14:45:49 -0400

acpid (1.0.3-19ubuntu9) warty; urgency=low

  * log_warning_msg for failed modules, don't bomb out tho. (Warty 983, 991)

 -- Thom May <thom@planetarytramp.net>  Fri,  3 Sep 2004 17:08:34 +0100

acpid (1.0.3-19ubuntu8) warty; urgency=low

  * If a module is already loaded, log_success_msg rather than log_warning_msg

 -- Matt Zimmerman <mdz@alcor.net>  Thu,  2 Sep 2004 16:06:16 -0700

acpid (1.0.3-19ubuntu7) warty; urgency=low

  * debian/init: pretty initscript

 -- Nathaniel McCallum <npmccallum@canonical.com>  Thu,  2 Sep 2004 15:06:13 -0400

acpid (1.0.3-19ubuntu6) warty; urgency=low

  * install initrd script 

 -- Thom May <thom@planetarytramp.net>  Fri, 27 Aug 2004 17:14:00 +0100

acpid (1.0.3-19ubuntu5) warty; urgency=low

  * Revert -4, since that causes the acpid socket to be reaped

 -- Thom May <thom@planetarytramp.net>  Tue, 24 Aug 2004 10:34:05 +0100

acpid (1.0.3-19ubuntu4) warty; urgency=low

  * Ensure acpid starts as early as possible, so we don't melt Scott's laptop

 -- Thom May <thom@planetarytramp.net>  Thu, 19 Aug 2004 14:04:55 +0100

acpid (1.0.3-19ubuntu3) warty; urgency=low

  * Load all modules

 -- Thom May <thom@planetarytramp.net>  Wed, 18 Aug 2004 14:11:45 +0100

acpid (1.0.3-19ubuntu2) warty; urgency=low

  * Get rid of FTBFS errors.

 -- LaMont Jones <lamont@mmjgroup.com>  Sat, 31 Jul 2004 04:49:10 +0000

acpid (1.0.3-19ubuntu1) warty; urgency=low

  * Disable superfluous debconf note when acpi support is not present
    (Warty Bug#289)

 -- Matt Zimmerman <mdz@alcor.net>  Tue, 27 Jul 2004 13:26:05 -0700

acpid (1.0.3-19) unstable; urgency=low

  * Update dutch translations (Closes:#250719) 
  * Added turkish translations (Closes:#252933) 

 -- Cajus Pollmeier <cajus@debian.org>  Fri, 28 May 2004 19:41:16 +0200

acpid (1.0.3-18) unstable; urgency=low

  * Fixed manpage to contain hint to runparts stylish naming convention
    in /etc/acpid/events (Closes:#250066)

 -- Cajus Pollmeier <cajus@debian.org>  Sat, 22 May 2004 10:33:13 +0200

acpid (1.0.3-17) unstable; urgency=low

  * Added amd64 to list of supported architectures (Closes:#249055) 

 -- Cajus Pollmeier <cajus@debian.org>  Fri, 14 May 2004 21:22:53 +0200

acpid (1.0.3-16) unstable; urgency=low

  * Added czech po-debconf translation (Closes:#247377)
  * Modified init scripts start-stop daemon call to retry stopping
    acpid after two seconds (Closes:#247130)
  * Modified init script to check for ACPI presence in kernel
    _before_ doing any actions (Closes:#247490)

 -- Cajus Pollmeier <cajus@debian.org>  Fri,  7 May 2004 22:27:40 +0200

acpid (1.0.3-15) unstable; urgency=low

  * Fixed powerbutton script which did a shutdown when a
    KDE user was logged in. Now it skips the shutdown,
    because kdm will do it for us.

 -- Cajus Pollmeier <cajus@debian.org>  Fri, 23 Apr 2004 18:06:16 +0200

acpid (1.0.3-14) unstable; urgency=low

  * Fixed postrm script to clean some lost config files. (Closes: #242273)

 -- Cajus Pollmeier <cajus@debian.org>  Thu,  8 Apr 2004 11:04:05 +0200

acpid (1.0.3-13) unstable; urgency=low

  * Removed support for configuring list of modules with debconf. I can't
    spend hours in fullfilling all wishes currently. Don't think anyone really
    needs this feature - and if: This is more an issue for a tool that detects
    hardware than one for the daemon itself. Implicitly closes: #241367.
  * Updated init script to skip loading of modules that are not present in
    system, but are configured in defaults file.

 -- Cajus Pollmeier <cajus@debian.org>  Thu,  1 Apr 2004 06:56:27 +0200

acpid (1.0.3-12) unstable; urgency=low

  * Fixed possible problem in config script when installing for the
    first time (Closes:#241012)

 -- Cajus Pollmeier <cajus@debian.org>  Tue, 30 Mar 2004 13:06:01 +0200

acpid (1.0.3-11) unstable; urgency=low

  * Included danish translations (Closes:#240044)

 -- Cajus Pollmeier <cajus@debian.org>  Thu, 25 Mar 2004 19:52:46 +0100

acpid (1.0.3-10) unstable; urgency=low

  * Avoided overwriting of manual changes in defaults file (Closes:#239635)
  * Replaced init call by normal shutdown with more informative
    message (Closes:#239583)
  * Included upstream changelog (Closes:#235530)

 -- Cajus Pollmeier <cajus@debian.org>  Tue, 23 Mar 2004 21:33:31 +0100

acpid (1.0.3-9) unstable; urgency=low

  * Made acpid close all used filehandles (Closes:#239350)

 -- Cajus Pollmeier <cajus@debian.org>  Mon, 22 Mar 2004 14:56:57 +0100

acpid (1.0.3-8) unstable; urgency=low

  * Fixed clean target of debian/rules to call dh_clean (Closes:#239239)

 -- Cajus Pollmeier <cajus@debian.org>  Mon, 22 Mar 2004 11:14:36 +0100

acpid (1.0.3-7) unstable; urgency=low

  * Added dutch po-debconf translation (Closes:#237816)
  * Added greek po-debconf translation (Closes:#237847)

 -- Cajus Pollmeier <cajus@debian.org>  Sun, 21 Mar 2004 11:40:48 +0100

acpid (1.0.3-6) unstable; urgency=low

  * Modified start script to have the 2.6 module loading
    style (Closes:#236703)

 -- Cajus Pollmeier <cajus@debian.org>  Fri, 12 Mar 2004 16:34:42 +0100

acpid (1.0.3-5) unstable; urgency=low

  * Changed description to a coffee cooking variant (Closes:#237199)

 -- Cajus Pollmeier <cajus@debian.org>  Wed, 10 Mar 2004 20:51:52 +0100

acpid (1.0.3-4) unstable; urgency=low

  * Fixed typo in template, that made it in again. (Closes:#236005)
  * Included French translations, thanks to Clement Stenac. (Closes:#236375)

 -- Cajus Pollmeier <cajus@debian.org>  Thu,  4 Mar 2004 07:55:24 +0100

acpid (1.0.3-3) unstable; urgency=low

  * Included Japanese translations, thanks to Hideki Yamane. (Closes:#235320)
  * Included Brazilian Portuguese translations, thanks to
    Andre Luis Lopes (Closes:#235462)
  * Workaround for non working postinst configure installed. (Closes:#234270)

 -- Cajus Pollmeier <cajus@debian.org>  Sun, 29 Feb 2004 11:26:06 +0100

acpid (1.0.3-2) unstable; urgency=low

  * Added a sleep between stop and start in the init-scripts restart
    condition. This should fix the logrotate problem. (Closes:#234283)

 -- Cajus Pollmeier <cajus@debian.org>  Wed, 25 Feb 2004 13:15:53 +0100

acpid (1.0.3-1) unstable; urgency=high

  * New upstream release 

 -- Cajus Pollmeier <cajus@debian.org>  Wed, 25 Feb 2004 10:08:34 +0100

acpid (1.0.2-12) unstable; urgency=low

  * Added missing true condition in postinstall script (Closes: #234274)

 -- Cajus Pollmeier <cajus@debian.org>  Mon, 23 Feb 2004 10:08:19 +0100

acpid (1.0.2-11) unstable; urgency=high

  * Switched to invoke-rc.d in prerm script. (Closes: #234161)
  * Removed a - for some users - confusing message from debconf
    templates. (Closes: #234179)

 -- Cajus Pollmeier <cajus@debian.org>  Sun, 22 Feb 2004 10:29:11 +0100

acpid (1.0.2-10) unstable; urgency=low

  * Fix typo in events file - powerbtn/powerbtn.sh (Closes:#233248)
  * Doing workaround in rules to remove setgid bits. Can't upload new
    orig.tar.gz. (Closes: #233628)
  * Changed the standard 'all' into a list of most common modules

 -- Cajus Pollmeier <cajus@debian.org>  Tue, 17 Feb 2004 20:28:42 +0100

acpid (1.0.2-9) unstable; urgency=high

  * Yes, yes. I commented out this line, because I've acpi in
    built into my kernel. Enabled it again. (Closes: #232400)
  * Fixed some lintian related issues.

 -- Cajus Pollmeier <cajus@debian.org>  Sun, 15 Feb 2004 09:23:31 +0100

acpid (1.0.2-8) unstable; urgency=low

  * Finetuning in init script for automatic module loading (Closes: #232400)
  * Added debconf script to help user, made 'load all modules' the
    default.
  * Unmasked signals so that processes started from acpid can receive
    TERM signals. (Closes: #206525)
  * Added changes from CVS. New upstream release is comming soon.

 -- Cajus Pollmeier <cajus@debian.org>  Thu, 12 Feb 2004 18:58:29 +0100

acpid (1.0.2-7) unstable; urgency=low

  * Renamed acpid socket. gnome-applet seems to have a compiled
    in default for /var/run/acpid.socket. (Closes: #217932)

 -- Cajus Pollmeier <cajus@debian.org>  Fri, 31 Oct 2003 21:15:17 +0100

acpid (1.0.2-6) unstable; urgency=low

  * Fixed module loader in init script. Credits go to Tim Wright.

 -- Cajus Pollmeier <cajus@debian.org>  Wed, 22 Oct 2003 20:48:17 +0200

acpid (1.0.2-5) unstable; urgency=low

  * Ok. Removing socket support was no good idea. Obviously there
    are some programms that depend on it. Notice, that the socket
    is on a non standard location currently. (Closes: #207926)

 -- Cajus Pollmeier <cajus@debian.org>  Thu,  9 Oct 2003 07:10:51 +0200

acpid (1.0.2-4) unstable; urgency=low

  * Removed socket support for Debian. I currently don't see any use
    in it.
  * Changed postrm to clean only config files (Closes: #202858)
  * Added acpid to logrotate.d (Closes: #200705)

 -- Cajus Pollmeier <cajus@debian.org>  Fri,  5 Sep 2003 16:51:43 +0200

acpid (1.0.2-3) unstable; urgency=low

  * Make --purge remove /etc/acpi directory (Closes: #197981)

 -- Cajus Pollmeier <cajus@debian.org>  Thu, 19 Jun 2003 08:43:48 +0200

acpid (1.0.2-2) unstable; urgency=low

  * Fixed module loading for kernel 2.5. Modules now have .ko as extension
    so that the former .o method wouldn't work (Closes: #193709)

 -- Cajus Pollmeier <cajus@debian.org>  Sun, 18 May 2003 12:06:04 +0200

acpid (1.0.2-1) unstable; urgency=low

  * New upstream release

 -- Cajus Pollmeier <cajus@debian.org>  Wed, 14 May 2003 07:39:25 +0200

acpid (1.0.1-8) unstable; urgency=low

  * Fixed automatic module loading script regex (Closes: #192711)

 -- Cajus Pollmeier <cajus@debian.org>  Sat, 10 May 2003 10:27:14 +0200

acpid (1.0.1-7) unstable; urgency=low

  * Changed poweroff script to be dcop aware (Closes: #187493)
  * Made title line in control file to make it more meaningly (Closes: #181774)

 -- Cajus Pollmeier <cajus@debian.org>  Fri,  4 Apr 2003 19:56:34 +0200

acpid (1.0.1-6) unstable; urgency=low

  * load modules even when acpi.o is not compiled in kernel (Closes: #173173)
  * updated standards-version

 -- Cajus Pollmeier <cajus@debian.org>  Mon, 30 Dec 2002 13:58:26 +0100

acpid (1.0.1-5) unstable; urgency=low

  * added modules autoloading in startup script, see /etc/default/acpid (Closes: #173173)

 -- Cajus Pollmeier <cajus@debian.org>  Sun, 29 Dec 2002 19:51:32 +0100

acpid (1.0.1-4) unstable; urgency=high

  * removed double freed pointer in event.c (Closes: #153288)

 -- Cajus Pollmeier <cajus@debian.org>  Tue, 20 Aug 2002 08:05:31 +0100

acpid (1.0.1-3) unstable; urgency=high

  * forgot do close ia64 bug (Closes: #141101)
  * made run-parts stylish /etc/acpi/events (Closes: #141350)
  * renamed samples to examples and added joeys examples (Closes: #141351)

 -- Cajus Pollmeier <C.Pollmeier@gmx.net>  Sat,  6 Apr 2002 10:21:15 +0100

acpid (1.0.1-2) unstable; urgency=high

  * Added ia64 for build

 -- Cajus Pollmeier <C.Pollmeier@gmx.net>  Fri,  5 Apr 2002 08:34:01 +0100

acpid (1.0.1-1) unstable; urgency=high

  * new upstream release
  * Fixed event handling to fit the new specs - again

 -- Cajus Pollmeier <C.Pollmeier@gmx.net>  Sat,  9 Mar 2002 12:10:51 +0100

acpid (1.0.0-4) unstable; urgency=high

  * Changed priority to optional (Closes: #135578)
  * Fixed event handling to fit the new specs

 -- Cajus Pollmeier <C.Pollmeier@gmx.net>  Sat,  9 Mar 2002 12:10:51 +0100

acpid (1.0.0-3) unstable; urgency=high

  * Removed incompatibility message
  * Closed bugs that should have been fixed with 1.0.0-2 (Closes: #130934, #127451)
  * Fixed event handling with kernels patched with acpi-devel code
  * Added reload option to the initscript (Closes: #129425)

 -- Cajus Pollmeier <C.Pollmeier@gmx.net>  Fri,  1 Mar 2002 15:13:06 +0100

acpid (1.0.0-2) unstable; urgency=low

  * Fixed logfile not beeing truncated
  * Changed line width of short description to less than 60 characters
  * Close bugs not related to this upstream release (Closes: #67465, #108796, #63956, #109559, #110698, #107047)

 -- Cajus Pollmeier <C.Pollmeier@gmx.net>  Thu,  1 Nov 2001 13:30:16 +0100

acpid (1.0.0-1) unstable; urgency=low

  * New upstream release
  * Fixed read_line to work with unpatched 2.4.x kernels.

 -- Cajus Pollmeier <C.Pollmeier@gmx.net>  Mon, 10 Aug 2001 12:12:41 +0200

acpid (0.2001051000-1) unstable; urgency=low

  * New upstream release (Closes: #97277, #104266)
  * New maintainer
  * 'acpictl' is no longer in the acpid package. (Closes: #79498)
  * 'acpid' doesn't need build-depends anymore (Closes: #105751)

 -- Robert van der Meulen <rvdm@debian.org>  Mon, 25 Jun 2001 16:01:12 +0200

acpid (0.2000071100-1) unstable; urgency=low

  * New upstream release

 -- Wichert Akkerman <wakkerma@debian.org>  Wed, 12 Jul 2000 20:57:07 -0400

acpid (0.2000052200-1) unstable; urgency=low

  * New upstream release

 -- Wichert Akkerman <wakkerma@debian.org>  Tue, 23 May 2000 13:41:51 +0200

acpid (0.2000042500-1) unstable; urgency=low

  * New upstream release
  * Fix a typo in the init-script
  * upstream changed the buildsystem again, updated debian/rules accordingly
  * Stop via executable, not pid-file (which doesn't exist)

 -- Wichert Akkerman <wakkerma@debian.org>  Mon,  1 May 2000 23:00:46 +0200

acpid (0.20000317-2) unstable; urgency=low

  * Create /usr/doc compatibility symlinks

 -- Wichert Akkerman <wakkerma@debian.org>  Fri,  7 Apr 2000 14:26:31 +0200

acpid (0.20000317-1) experimental; urgency=low

  * New snapshot

 -- Wichert Akkerman <wakkerma@debian.org>  Mon,  3 Apr 2000 00:50:17 +0200

acpid (0.20000316-1) experimental; urgency=low

  * Initial release

 -- Wichert Akkerman <wakkerma@debian.org>  Thu, 16 Mar 2000 12:24:51 +0100

